Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkStateResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkStateResource

    public class FrameworkStateResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkStateResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `state​(String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkStateResource

    public FrameworkStateResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### state

    @GET
    @Produces({"application/org.osgi.bundlestate+json","application/org.osgi.bundlestate+xml"})
    @Path("framework/state{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response state​(@PathParam("ext")
                                           String ext)